# Copyright (c) 2003-2005 Amnesiac Software Project.
# See the 'COPYRIGHT' file for more information.
subpackage exec

## dns stuff.
alias dns {
	if (match(*.* $0)) {
		exec -name dns nslookup $0
		@ _dnst=[$0]
	}{
			^userhost $0 -cmd if ([$4]!=[<UNKNOWN>]) {
				exec -name dns nslookup $4 
				@ _dnst=[$0]			
			}	
	}
}
 	
alias nslookup dns
 
^on ^exec "dns *" {
	if ([$1] == [Non-authoritative]) {
		xecho -c [dns] Non-authoritative answer for $_dnst
	}{
		if ([$1] == [Server:]) {
			xecho -c [dns] -----------------------------------------
			xecho -c [dns] System Name Server: $2-
		} else if ([$1-] ==[]) {
			/* Do nothing */
		} {
			xecho -c [dns] $1-
		}
	}
}
^on ^exec_exit "dns % %" {
	xecho -c [dns] -----------------------------------------
}

## edit topic stuff from the epic5 source tree.. used for the /topic_input
## by kreca.
alias edit_topic
{
        ^local thetopic
        ^stack push on 333
        ^stack push on 332
        ^stack push on 331
        ^on ^333 * #
        ^on ^332 * {
                bless
                @ thetopic = [$2-]
        }
        ^on ^331 * #
        ^topic
        ^wait
        ^parsekey erase_line
        ^xtype -literal /topic $thetopic
        stack pop on 331
        stack pop on 332
        stack pop on 333
}
